View Issue Details

IDProjectCategoryView StatusLast Update
0012289ScribusFontspublic2016-12-08 21:41
Reportersilvain Assigned ToFahad  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformanyOSanyOS Versionany
Product Version1.4.2 
Target Version1.5.3Fixed in Version1.5.3.svn 
Summary0012289: Diacritics are not positioned correctly in Lao OpenType fonts
DescriptionDiacritics in Lao script need to be positioned contextually. This positioning is designed into the OpenType fonts, but this OT feature is not recognised by Scribus (although it works perfectly with LibreOffice, in linux (Ubuntu) as well as in Windows (MS Windows 7).
This issue is similar to issues 7140, 1547, and others, about other asian script (indian, cambodian,...).
Steps To ReproduceTry using Lao text in Scribus.
(To install fonts, just install a free version of LaoScript for Windows or download and install the fonts from http://www.laoscript.net/ website).
Tags#please_test, fixed, HOST-Oman, scribusctl
Patch

Relationships

child of 0003965 acknowledged Metabug: Support for non-latin languages 

Activities

silvain

2014-04-29 14:00

reporter  

ScreenShot445.png (96,227 bytes)
ScreenShot445.png (96,227 bytes)

Kunda

2016-03-23 12:51

manager   ~0039354

Last edited: 2016-03-23 12:52

View 2 revisions

According to HOST-Oman team, these issues are fixed in the new CTL branch!
See https://github.com/HOST-Oman/scribus/issues/75#issue-1428095
There will be a build provided soon to test this fix OR one can build their branch manually.

user5122

2016-05-06 12:09

  ~0040825

Please note that Lao is written from left to right, so the RTL tag is wrong here.

Kunda

2016-05-06 15:32

manager   ~0040838

Khaled, thanks. Honestly the RTL tag was applied liberally to other tickets that are most likely not RTL as well. I've been converting the bug tracker to work more on a tag based model and so I've not applied it intelligently at all times. Working with Mantis has been a learning curve. Thanks for your patience with this.

cbradney

2016-12-03 22:38

administrator   ~0042625

r21564

Issue History

Date Modified Username Field Change
2014-04-29 14:00 silvain New Issue
2014-04-29 14:00 silvain File Added: ScreenShot445.png
2015-05-19 17:56 Kunda Relationship added child of 0003965
2016-03-23 12:51 Kunda Tag Attached: #please_test
2016-03-23 12:51 Kunda Tag Attached: fixed
2016-03-23 12:51 Kunda Tag Attached: HOST-Oman
2016-03-23 12:51 Kunda Tag Attached: RTL
2016-03-23 12:51 Kunda Note Added: 0039354
2016-03-23 12:52 Kunda Note Edited: 0039354 View Revisions
2016-05-06 12:09 user5122 Note Added: 0040825
2016-05-06 15:32 Kunda Note Added: 0040838
2016-05-06 15:32 Kunda Tag Detached: RTL
2016-05-06 15:32 Kunda Tag Attached: scribusctl
2016-12-03 22:38 cbradney Assigned To => Fahad
2016-12-03 22:38 cbradney Status new => resolved
2016-12-03 22:38 cbradney Resolution open => fixed
2016-12-03 22:38 cbradney Fixed in Version => 1.5.3.svn
2016-12-03 22:38 cbradney Note Added: 0042625
2016-12-05 20:21 cbradney Status resolved => closed
2016-12-08 21:41 cbradney Target Version => 1.5.3